'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../../shared/index.js');
var RectangleExtend = require('../../shared/extends/core/RectangleExtend.js');
var ShadowMapShaderExtend = require('../../shared/extends/scene/ShadowMapShaderExtend.js');
var MaterialExtend = require('../../shared/extends/materials/MaterialExtend.js');

"use strict";
const vcExtends = [RectangleExtend["default"], ShadowMapShaderExtend["default"], MaterialExtend["default"]];
function useVcExtension() {
  const invokeExtensions = (viewer) => {
    vcExtends.forEach((item) => {
      item.extend(viewer);
    });
  };
  const revokeExtensions = (viewer) => {
    vcExtends.forEach((item) => {
      item.revoke(viewer);
    });
  };
  return {
    invokeExtensions,
    revokeExtensions
  };
}

exports["default"] = useVcExtension;
//# sourceMappingURL=use-vc-extension.js.map
